ARG CI_COMMIT_TAG
ARG CI_REGISTRY_IMAGE

FROM ${CI_REGISTRY_IMAGE}:${CI_COMMIT_TAG}
LABEL authors="Bengt Giger <bgiger@ethz.ch>"
LABEL maintainer="Bengt Giger <bgiger@ethz.ch>"

USER root
#RUN date >/.timestamp
RUN apk add docker && addgroup py docker

USER py
CMD gunicorn -b 0.0.0.0:8000 -t 120 -w 4 --worker-class uvicorn.workers.UvicornWorker otter_grader_service.pusher.main:app
